{% extends 'base.html' %}

{% block style %}
<link rel="stylesheet" href="/assets/swagger-ui-dist/swagger-ui.css"/>
{% endblock %}

{% block content %}
{% autoescape false %}
<div class="fr-col-12" id="swagger-ui"></div>
{% endautoescape %}
{% endblock %}

{% block script %}
{% autoescape false %}
<script src="/assets/swagger-ui-dist/swagger-ui-standalone-preset.js"></script>
<script src="/assets/swagger-ui-dist/swagger-ui-bundle.js"></script>
<script>
    var token = $('#access_token').val();
    window.onload = function() {
        const ui = SwaggerUIBundle({
            url: '{{ domain }}/resources/api/v1/swagger.json',
            dom_id: '#swagger-ui',
            deepLinking: true,
            presets: [
                SwaggerUIBundle.presets.apis,
                SwaggerUIStandalonePreset.slice(1)
            ],
            plugins: [SwaggerUIBundle.plugins.DownloadUrl],
            layout: 'StandaloneLayout',
            requestInterceptor: function(request) {
                request.headers.Authorization = 'Bearer ' + token;
                return request;
            }
        });
        window.ui = ui;
    }

</script>
{% endautoescape %}
{% endblock %}
